aboutsummaryrefslogtreecommitdiff
path: root/libraries/cpufrequtils
diff options
context:
space:
mode:
authorRobby Workman <rw@rlworkman.net>2010-05-11 14:56:12 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 14:56:12 +0200
commit44cd355e08de676c5379d2db342d17001b674442 (patch)
treebc46fb702617153ff6b5aa847d32dd02ff8d3653 /libraries/cpufrequtils
parent19c8f0f674abe659dee397b2be68f13002fa5831 (diff)
downloadslackbuilds-44cd355e08de676c5379d2db342d17001b674442.tar.xz
libraries/cpufrequtils: Initial import
Diffstat (limited to 'libraries/cpufrequtils')
-rw-r--r--libraries/cpufrequtils/README9
-rw-r--r--libraries/cpufrequtils/cpufrequtils.SlackBuild73
-rw-r--r--libraries/cpufrequtils/cpufrequtils.info8
-rw-r--r--libraries/cpufrequtils/slack-desc11
4 files changed, 101 insertions, 0 deletions
diff --git a/libraries/cpufrequtils/README b/libraries/cpufrequtils/README
new file mode 100644
index 000000000000..3fa5d26a4437
--- /dev/null
+++ b/libraries/cpufrequtils/README
@@ -0,0 +1,9 @@
+"libcpufreq" is a library which offers a unified access method for userspace
+tools and programs to the cpufreq core and drivers in the Linux kernel. This
+allows for code reduction in userspace tools, a clean implementation of
+the interaction to the cpufreq core, and support for both the sysfs and proc
+interfaces [depending on configuration].
+"cpufreq-info" determines current cpufreq settings, and provides useful
+debug information to users and bug-hunters.
+"cpufreq-set" allows to set a specific frequency and/or new cpufreq policies
+without having to type "/sys/devices/system/cpu/cpu0/cpufreq" all the time.
diff --git a/libraries/cpufrequtils/cpufrequtils.SlackBuild b/libraries/cpufrequtils/cpufrequtils.SlackBuild
new file mode 100644
index 000000000000..1e96359cf7b5
--- /dev/null
+++ b/libraries/cpufrequtils/cpufrequtils.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for cpufrequtils
+
+# Copyright 2006 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=cpufrequtils
+VERSION=002
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/cpufrequtils/cpufrequtils.info b/libraries/cpufrequtils/cpufrequtils.info
new file mode 100644
index 000000000000..38c5b553c8bb
--- /dev/null
+++ b/libraries/cpufrequtils/cpufrequtils.info
@@ -0,0 +1,8 @@
+PRGNAM="cpufrequtils"
+VERSION="002"
+HOMEPAGE="http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html"
+DOWNLOAD="http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils-002.tar.bz2"
+MD5SUM="93291a0d705ee2e19a6d7491b223c9f2"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="robw810,elohim"
diff --git a/libraries/cpufrequtils/slack-desc b/libraries/cpufrequtils/slack-desc
new file mode 100644
index 000000000000..ec3750429f16
--- /dev/null
+++ b/libraries/cpufrequtils/slack-desc
@@ -0,0 +1,11 @@
+cpufrequtils: cpu frequency utilities - libcpufreq
+cpufrequtils:
+cpufrequtils: "libcpufreq" is a library which offers a unified access method
+cpufrequtils: for userspace tools and programs to the cpufreq core and drivers
+cpufrequtils: in the Linux kernel. This allows for code reduction in userspace
+cpufrequtils: tools, a clean implementation of the interaction to the cpufreq
+cpufrequtils: core, and support for both the sysfs and proc interfaces.
+cpufrequtils:
+cpufrequtils: www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
+cpufrequtils:
+cpufrequtils: